Patchwork [1,of,3] py3: conditionalize the python version in test-install.t

login
register
mail settings
Submitter Matt Harbison
Date Dec. 17, 2018, 6:58 a.m.
Message ID <1a2afc80fc6d8660bcaf.1545029884@Envy>
Download mbox | patch
Permalink /patch/37213/
State Accepted
Headers show

Comments

Matt Harbison - Dec. 17, 2018, 6:58 a.m.
# HG changeset patch
# User Matt Harbison <matt_harbison@yahoo.com>
# Date 1544993228 18000
#      Sun Dec 16 15:47:08 2018 -0500
# Node ID 1a2afc80fc6d8660bcafcf21bde92754b1bd0f18
# Parent  b565360af9e733ae90142af8eda6c9d52fe76f61
py3: conditionalize the python version in test-install.t
Yuya Nishihara - Dec. 17, 2018, 11:10 a.m.
On Mon, 17 Dec 2018 01:58:04 -0500, Matt Harbison wrote:
> # HG changeset patch
> # User Matt Harbison <matt_harbison@yahoo.com>
> # Date 1544993228 18000
> #      Sun Dec 16 15:47:08 2018 -0500
> # Node ID 1a2afc80fc6d8660bcafcf21bde92754b1bd0f18
> # Parent  b565360af9e733ae90142af8eda6c9d52fe76f61
> py3: conditionalize the python version in test-install.t

Queued, thanks.

Patch

diff --git a/tests/test-install.t b/tests/test-install.t
--- a/tests/test-install.t
+++ b/tests/test-install.t
@@ -2,7 +2,8 @@  hg debuginstall
   $ hg debuginstall
   checking encoding (ascii)...
   checking Python executable (*) (glob)
-  checking Python version (2.*) (glob)
+  checking Python version (2.*) (glob) (no-py3 !)
+  checking Python version (3.*) (glob) (py3 !)
   checking Python lib (*lib*)... (glob)
   checking Python security support (*) (glob)
     TLS 1.2 not supported by Python install; network connections lack modern security (?)
@@ -57,7 +58,8 @@  hg debuginstall with no username
   $ HGUSER= hg debuginstall
   checking encoding (ascii)...
   checking Python executable (*) (glob)
-  checking Python version (2.*) (glob)
+  checking Python version (2.*) (glob) (no-py3 !)
+  checking Python version (3.*) (glob) (py3 !)
   checking Python lib (*lib*)... (glob)
   checking Python security support (*) (glob)
     TLS 1.2 not supported by Python install; network connections lack modern security (?)
@@ -101,7 +103,8 @@  path variables are expanded (~ is the sa
   $ HGEDITOR="~/tools/testeditor.exe" hg debuginstall
   checking encoding (ascii)...
   checking Python executable (*) (glob)
-  checking Python version (*) (glob)
+  checking Python version (2.*) (glob) (no-py3 !)
+  checking Python version (3.*) (glob) (py3 !)
   checking Python lib (*lib*)... (glob)
   checking Python security support (*) (glob)
     TLS 1.2 not supported by Python install; network connections lack modern security (?)
@@ -125,7 +128,8 @@  not found (this is intentionally using b
   $ HGEDITOR="c:\foo\bar\baz.exe -y -z" hg debuginstall
   checking encoding (ascii)...
   checking Python executable (*) (glob)
-  checking Python version (*) (glob)
+  checking Python version (2.*) (glob) (no-py3 !)
+  checking Python version (3.*) (glob) (py3 !)
   checking Python lib (*lib*)... (glob)
   checking Python security support (*) (glob)
     TLS 1.2 not supported by Python install; network connections lack modern security (?)
@@ -240,7 +244,8 @@  since it's bin on most platforms but Scr
   $ ./installenv/*/hg debuginstall || cat pip.log
   checking encoding (ascii)...
   checking Python executable (*) (glob)
-  checking Python version (2.*) (glob)
+  checking Python version (2.*) (glob) (no-py3 !)
+  checking Python version (3.*) (glob) (py3 !)
   checking Python lib (*)... (glob)
   checking Python security support (*) (glob)
     TLS 1.2 not supported by Python install; network connections lack modern security (?)